
import javax.servlet.ServletException;
import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.paysafecard.merchant.*;

/**
 * Servlet implementation class transSuccess
 */
@WebServlet("/transSuccess")
public class transSuccess extends HttpServlet {
	private static final long serialVersionUID = 1L;
	private SOPGClassicMerchantClient client;
     
	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// Auslesen der Variablen
		String amount = request.getParameter("amount");
		boolean debug = Boolean.getBoolean(request.getParameter("debug"));
		String lang = request.getParameter("lang");
		String currency = request.getParameter("currency");
		String mtid = request.getParameter("mtid");
		boolean autokorrektur = Boolean.getBoolean(request.getParameter("autokorrektur"));
		// Initlaisieren des Clients
		client = new SOPGClassicMerchantClient("test", debug, lang, autokorrektur);
		// Setzen der Merchant-Zugangsdaten
		client.merchant("psc_teststeinweber_test", "KKIJSC8GXB75F");
		// getserialNumbers ausfhren und den Status in einer Variable speichern
		PrintWriter out = response.getWriter();
		try {
			String status = client.getSerialNumbers(mtid, currency, "").get("return");
			// Wenn Status execute: executeDebit ausfhren
			if(status == "execute"){
				// Speichern des Rckgabewertes von executeDebit in der retVal-Variable
				boolean retVal = client.executeDebit(amount, "1");
				if(retVal){
					// Wenn executeDebit true zurckgab, dann kann die Transaktion als erfolgreich angesehen werden
				}else{
					// Andernfalls nicht
				}
			}
		} catch (Exception e) {
			// nothing
		}
		//Ausgabe des Logs (Typ: Info)
		out.println(Log.getInfoLog());
	}
}
