package com.paysafecard.merchant.tests;

import com.paysafecard.merchant.Languages;
import junit.framework.TestCase;

public class LanguagesTest extends TestCase {
	
	public void testAddLanguage(){
		Languages.addLanguage("Deutsch");
		assertTrue("Is Language available?", Languages.doesLanguageExist("Deutsch"));
	}
	
	public void testLangAvailableFalse(){
		assertFalse("Language shouldn't be available!", Languages.doesLanguageExist("NotExistent"));
	}
	
	public void testAddVariable(){
		Languages.addLanguage("de");
		Languages.addVariable("de", "test", "Test");
		assertTrue("Should be true.", Languages.isLangAvailable("de"));
		assertTrue("Should be true.", Languages.isVariableAvailable("de", "test"));
		assertEquals("Should give back 'Test'.", "Test", Languages.getVariable("de", "test"));
	
	}
}
